import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
import { Rate } from 'antd-mobile';
const EvaluateItem = ({ starColor = '#FF0934', starSize = '12px', itemData }) => {
    const { View, Text, Image } = useComponent();
    return (_jsxs(View, Object.assign({ className: 'evaluateItem' }, { children: [_jsxs(View, Object.assign({ className: 'userInfo' }, { children: [_jsx(Image, { src: itemData.avatar, className: 'avatar' }), _jsxs(View, Object.assign({ className: 'userNameWrap' }, { children: [_jsx(Text, Object.assign({ className: 'userName' }, { children: itemData.userName })), _jsx(Rate, { readOnly: true, value: itemData.rate, style: {
                                    '--star-size': starSize,
                                    '--active-color': starColor
                                } })] }))] })), _jsxs(View, Object.assign({ className: 'size' }, { children: ["\u89C4\u683C\uFF1A ", itemData.size] })), _jsx(View, Object.assign({ className: 'content' }, { children: itemData.evaluate })), _jsx(View, Object.assign({ className: 'img-group' }, { children: itemData.imgUrls.map((item, index) => {
                    return _jsx(Image, { src: item.imgUrl, className: 'img' }, index);
                }) }))] })));
};
export default EvaluateItem;
