import { jsx as _jsx } from "react/jsx-runtime";
import classNames from 'classnames';
import { useComponent } from '@brushes/qj-simulate-component';
export const QjMobileIcon = ({ className = 'iconfont', prefixClass = 'icon', style = {
    fontSize: 16,
    color: '#444',
    fontWeight: 900
}, value }) => {
    const { Text } = useComponent();
    const iconName = value ? `${prefixClass}-${value}` : '';
    return _jsx(Text, { className: classNames(prefixClass, iconName, className), style: style });
};
