import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent, antdMobile } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { addressListFake } from '../../common/mock';
import { AddressItem } from '../../common/addressItem';
const { Radio } = antdMobile;
const AddressListJsx = () => {
    const { View } = useComponent();
    const flag = getEnv();
    return (_jsxs(View, Object.assign({ className: 'addressList', style: {
            height: flag ? '100vh' : '600px'
        } }, { children: [_jsx(Radio.Group, Object.assign({ defaultValue: 1 }, { children: addressListFake.map((item) => (_jsx(AddressItem, { itemData: item }, item.id))) })), _jsx(View, Object.assign({ className: 'addBtnWrap' }, { children: _jsx(View, Object.assign({ className: 'addBtn' }, { children: "+ \u65B0\u589E\u5730\u5740" })) }))] })));
};
export const AddressList = memo(AddressListJsx);
