import { jsxs as _jsxs, jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { memo, useRef, useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import EvaluateItem from '../../common/evaluateItem';
import { evaluateListFake } from '../../common/mock';
const EvaluateListJsx = () => {
    const [active, setActive] = useState('1');
    const { View } = useComponent();
    const tabs = useRef([
        {
            label: '全部',
            num: '900+',
            index: '1'
        },
        {
            label: '好评',
            num: '800+',
            index: '2'
        },
        {
            label: '中评',
            num: '99+',
            index: '3'
        },
        {
            label: '差评',
            num: '12',
            index: '4'
        }
    ]);
    const handleTab = (coe) => {
        setActive(coe);
    };
    return (_jsxs(_Fragment, { children: [_jsx(View, Object.assign({ className: 'evaluateListTab' }, { children: tabs.current.map((item) => {
                    return (_jsxs(View, Object.assign({ className: `evaluateListTabItem ${item.index === active ? 'active' : ''}`, "data-index": item.index, onClick: handleTab.bind(null, item.index) }, { children: [item.label, " ", item.num] }), item.index));
                }) })), _jsx(View, Object.assign({ className: 'evaluateListContent' }, { children: evaluateListFake.map((item, index) => {
                    return _jsx(EvaluateItem, { itemData: item }, index);
                }) }))] }));
};
export const EvaluateList = memo(EvaluateListJsx);
