import { jsx as _jsx } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
import { useEffect, useState } from 'react';
const GoodsDetailInfo = ({ goods, tabActive }) => {
    const { View } = useComponent();
    const [goodsDetail, setDetail] = useState('');
    useEffect(() => {
        setDetail(goods.goodsRemark
            .replace(/<style>[\s\S]*<\/style>/gi, '')
            .replace(/\<img/gi, `<img class="mystyle" mode="widthFix"`)
            .replace(/<!--[\s\S]*-->/gi, ''));
    }, [goods.goodsRemark, tabActive]);
    return (_jsx(View, Object.assign({ className: 'goodsDetail-info' }, { children: _jsx("div", { dangerouslySetInnerHTML: { __html: goodsDetail || '' } }) })));
};
export default GoodsDetailInfo;
