import { jsx as _jsx } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
export const Notice = ({ text, backgroundColor, color, fontSize, borderColor, paddingTop, paddingBottom, paddingLeft, paddingRight }) => {
    const { View, NoticeBar } = useComponent();
    if (!View)
        return null;
    return (_jsx(View, Object.assign({ style: { paddingTop, paddingBottom } }, { children: _jsx(View, { children: _jsx(NoticeBar, { speed: 50, style: {
                    '--border-color': borderColor,
                    '--font-size': fontSize + 'px',
                    '--background-color': backgroundColor,
                    '--text-color': color,
                    paddingLeft,
                    paddingRight
                }, content: text, color: "alert" }) }) })));
};
