import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { navigatorImpl, useComponent } from '@brushes/qj-simulate-component';
import { SEARCH } from '../../static';
import { getEnv } from '@brushes/api';
import { routerMap } from '../../routerMap';
const flag = getEnv();
const fake = ['衣服', '裤子'];
const SearchPageJsx = ({ placeholder, placeholderText, history }) => {
    const { View, Text } = useComponent();
    const searchGoodsImpl = (e) => {
        console.log(19, e.detail.value);
        navigatorImpl(`${routerMap.goodList}?searchParam=${e.detail.value}`);
    };
    return (_jsxs(View, Object.assign({ className: 'searchPage', style: { height: flag ? '100vh' : '600px' } }, { children: [_jsxs(View, Object.assign({ className: 'search-title' }, { children: [_jsx("img", { src: SEARCH, alt: "" }), _jsx("input", Object.assign({ "confirm-type": "search", type: "text", className: 'content', onConfirm: searchGoodsImpl }, (placeholder ? { placeholder: placeholderText } : {}))), _jsx(Text, Object.assign({ className: 'btn' }, { children: "\u53D6\u6D88" }))] })), history ? (_jsxs(View, Object.assign({ className: 'historyWrap' }, { children: [_jsxs(View, Object.assign({ className: 'title' }, { children: [_jsxs(View, Object.assign({ className: 'label' }, { children: [_jsx(View, { className: 'icon' }), "\u5386\u53F2\u641C\u7D22\u8BB0\u5F55"] })), _jsx(Text, Object.assign({ className: 'clear' }, { children: "\u6E05\u9664" }))] })), _jsx(View, Object.assign({ className: 'content' }, { children: fake.map((item, index) => {
                            return (_jsx(View, Object.assign({ className: 'historyItem' }, { children: item }), index));
                        }) }))] }))) : null] })));
};
export const SearchPage = memo(SearchPageJsx);
