import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
const TitleJsx = ({ value, fontSize, textAlign, color, backgroundColor, fontWeight, textDecoration, fontStyle, paddingTop, paddingLeft, paddingRight, paddingBottom }) => {
    const { View } = useComponent();
    return (_jsx(View, Object.assign({ style: { paddingTop, paddingBottom } }, { children: _jsx(View, Object.assign({ style: {
                fontSize,
                textAlign,
                color,
                backgroundColor,
                fontWeight,
                textDecoration,
                fontStyle,
                paddingLeft,
                paddingRight
            } }, { children: value })) })));
};
export const Title = memo(TitleJsx);
