import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
import { Radio } from 'antd-mobile';
export const AddressItem = ({ itemData, fontSize = '12px', iconSize = '12px' }) => {
    const { View, Text } = useComponent();
    return (_jsxs(View, Object.assign({ className: 'addressItem' }, { children: [_jsxs(View, Object.assign({ className: 'upInfo' }, { children: [_jsxs(View, Object.assign({ className: 'userInfo' }, { children: [itemData.name, " ", itemData.phone] })), _jsxs(View, Object.assign({ className: 'addressInfo' }, { children: [_jsx(Text, Object.assign({ className: 'address' }, { children: itemData.address })), _jsx(View, { className: 'icon' })] }))] })), _jsxs(View, Object.assign({ className: 'downInfo' }, { children: [_jsx(Radio, Object.assign({ value: itemData.default, style: {
                            '--font-size': fontSize,
                            '--icon-size': iconSize
                        } }, { children: "\u8BBE\u4E3A\u9ED8\u8BA4\u5730\u5740" })), _jsx(Text, Object.assign({ className: 'del' }, { children: "\u5220\u9664" }))] }))] })));
};
