import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useComponent, navigatorImpl } from '@brushes/qj-simulate-component';
import { checkImgUrl } from '../../../utils/checkImgUrl';
import { routerMap } from '../../../routerMap';
export const ClassifyFloor = ({ navList, activeKey }) => {
    const { View, Text } = useComponent();
    return navList.map((item) => (_jsx(View, Object.assign({ className: ['content', activeKey === `${item.goodsClassCode}` ? ' active' : ''].join('') }, { children: item === null || item === void 0 ? void 0 : item.childList.map((classifyItem) => {
            return (_jsxs(View, Object.assign({ className: 'classifyFloor' }, { children: [_jsxs(View, Object.assign({ className: 'titleWrap' }, { children: [_jsx(Text, Object.assign({ className: 'title' }, { children: classifyItem.goodsClassName })), _jsx(Text, { className: 'line' })] })), _jsx(View, Object.assign({ className: 'container' }, { children: classifyItem.childList.map(({ classtreeCode, goodsClassCode, goodsClassLogo, goodsClassName }) => {
                            return (_jsxs(View, Object.assign({ onClick: () => navigatorImpl(`${routerMap.goodList}?classtreeCode=${classtreeCode}`), className: 'classifyFloorGoodsItem' }, { children: [_jsx("img", { src: checkImgUrl(goodsClassLogo), className: 'logo' }), _jsx(Text, Object.assign({ className: 'title' }, { children: goodsClassName }))] }), goodsClassCode));
                        }) }))] }), classifyItem.goodsClassCode));
        }) }), item.goodsClassCode)));
};
