import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
const LineJsx = ({ borderRadius, height, width, backgroundColor, paddingTop, paddingBottom }) => {
    const { View } = useComponent();
    return (_jsx(View, Object.assign({ style: {
            paddingTop,
            paddingBottom
        } }, { children: _jsx(View, { style: {
                borderRadius: borderRadius + '%',
                width: width + '%',
                height: height + 'px',
                backgroundColor,
                marginLeft: 'auto',
                marginRight: 'auto'
            } }) })));
};
export const Line = memo(LineJsx);
