import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { navigatorImpl, useComponent } from '@brushes/qj-simulate-component';
import { AFTERSALE, FINISH, OBLIGATION, ORDERTOPAY, ORDERTORECEIVE } from '../../../static';
import { useRef } from 'react';
import { routerMap } from '../../../routerMap';
export const OrderEntry = () => {
    const { View, Text, Badge, Image } = useComponent();
    const config = useRef([
        {
            badge: 5,
            label: '待付款',
            icon: OBLIGATION,
            link: ''
        },
        {
            badge: 0,
            label: '待发货',
            icon: ORDERTOPAY,
            link: ''
        },
        {
            badge: 0,
            label: '待收货',
            icon: ORDERTORECEIVE,
            link: ''
        },
        {
            badge: 0,
            label: '已完成',
            icon: FINISH,
            link: ''
        },
        {
            badge: 0,
            label: '退换/售后',
            icon: AFTERSALE,
            link: ''
        }
    ]);
    return (_jsxs(View, Object.assign({ className: 'orderEntry' }, { children: [_jsxs(View, Object.assign({ className: 'title' }, { children: [_jsx(View, Object.assign({ className: 'name' }, { children: "\u6211\u7684\u8BA2\u5355" })), _jsx(View, Object.assign({ className: 'more', onClick: () => navigatorImpl(routerMap.order) }, { children: "\u67E5\u770B\u5168\u90E8" }))] })), _jsx(View, Object.assign({ className: 'content' }, { children: config.current.map((item, index) => (_jsxs(View, Object.assign({ onClick: () => navigatorImpl(`${routerMap.order}?id=${index + 1}`), className: 'contentItem' }, { children: [item.badge ? (_jsx(Badge, Object.assign({ content: item.badge, color: '#000', style: { color: '#fff', fontSize: 12 } }, { children: _jsx(Image, { src: item.icon, mode: 'widthFix', className: 'icon' }) }))) : (_jsx(Image, { src: item.icon, mode: 'widthFix', className: 'icon' })), _jsx(Text, Object.assign({ className: 'subTitle' }, { children: item.label }))] }), index))) }))] })));
};
