var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createElement as _createElement } from "react";
import { memo, useEffect, useState } from 'react';
import { getEnv, queryContractPageC } from '@brushes/api';
import { useComponent, ScrollView, Loading } from '@brushes/qj-simulate-component';
import { Item } from './orderItem';
import { result } from './mock';
function OrderListItemJsx({ item }) {
    const { View } = useComponent();
    const [loading, setLoading] = useState(false);
    const [data, setData] = useState([]);
    const isTaro = getEnv();
    useEffect(() => {
        onScroll();
    }, []);
    const onScroll = (e = {}) => __awaiter(this, void 0, void 0, function* () {
        setLoading(true);
        // console.log(17, e.detail);
        try {
            const data = yield queryContractPageC({ page: 1, rows: 10 });
            setData((val) => [...val, ...result.rows]);
            setLoading(false);
        }
        catch (err) {
            console.log(err);
        }
    });
    return (_jsx(View, Object.assign({ className: 'orderListItemWrap', style: { height: isTaro ? '100vh' : '667px' } }, { children: _jsx(ScrollView, Object.assign({ onScroll: onScroll, style: { height: '100vh' } }, { children: _jsxs(View, { children: [data.map((item, index) => (_createElement(Item, Object.assign({}, item, { key: index })))), loading ? _jsx(Loading, {}) : null] }) })) })));
}
export const OrderListItem = memo(OrderListItemJsx);
