import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useRef } from 'react';
import { useComponent, Tabs } from '@brushes/qj-simulate-component';
import { OrderListItem } from './components/OrderListItem';
const OrderListJsx = ({ defaultIndex = 0 }) => {
    console.log('location', defaultIndex);
    const { View } = useComponent();
    const tabs = useRef([
        { name: '全部', code: 'all' },
        { name: '待付款', code: 'waiting' },
        { name: '待发货', code: 'delivery' },
        { name: '待收货', code: 'receive' },
        { name: '已完成', code: 'done' }
    ]);
    return (_jsx(View, Object.assign({ className: 'order-container' }, { children: _jsx(Tabs, { defaultIndex: defaultIndex, tabs: tabs.current, render: (item) => (_jsx(View, Object.assign({ className: 'orderList' }, { children: _jsx(OrderListItem, { item: item }) }))) }) })));
};
export const OrderList = memo(OrderListJsx);
