import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { navigatorImpl, useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { routerMap } from '../../routerMap';
const flag = getEnv();
const PlaceOrderResultJsx = () => {
    const { View, Text } = useComponent();
    return (_jsx(View, Object.assign({ className: 'placeOrderResult', style: {
            height: flag ? '100vh' : '600px'
        } }, { children: _jsxs(View, Object.assign({ className: 'placeOrderResultContent' }, { children: [_jsx(Text, { className: 'icon' }), _jsxs(View, Object.assign({ className: 'tips' }, { children: [_jsx(Text, Object.assign({ className: 'title' }, { children: "\u8BA2\u5355\u652F\u4ED8\u6210\u529F" })), _jsx(Text, Object.assign({ className: 'tip' }, { children: "\u60A8\u7684\u8BA2\u5355\u5C06\u4FDD\u755915\u5206\u949F\uFF0C\u53EF\u70B9\u51FB\u4E0B\u65B9\u201C\u53BB\u652F\u4ED8\u201D\u5B8C\u6210\u8BA2\u5355" }))] })), _jsxs(View, Object.assign({ className: 'placeOrderResultWrap' }, { children: [_jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u8BA2\u5355\u53F7\uFF1A" })), _jsx(Text, Object.assign({ className: 'value' }, { children: "324324823748237" }))] })), _jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u5546\u54C1\u6570\u91CF\uFF1A" })), _jsx(Text, Object.assign({ className: 'value' }, { children: "1" }))] })), _jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u652F\u4ED8\u65B9\u5F0F\uFF1A" })), _jsx(Text, Object.assign({ className: 'value' }, { children: "\u5FAE\u4FE1\u652F\u4ED8" }))] })), _jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u652F\u4ED8\u91D1\u989D\uFF1A" })), _jsx(Text, Object.assign({ className: 'value' }, { children: "\uFFE5 9999.00" }))] }))] })), _jsxs(View, Object.assign({ className: 'btnGroup' }, { children: [_jsx(View, Object.assign({ className: 'btn black', onClick: () => navigatorImpl(routerMap.orderDetail) }, { children: "\u67E5\u770B\u8BA2\u5355" })), _jsx(View, Object.assign({ className: 'btn white' }, { children: "\u7EE7\u7EED\u8D2D\u7269" }))] }))] })) })));
};
export const PlaceOrderResult = memo(PlaceOrderResultJsx);
