import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
export const Items = memo(({ item, type }) => {
    const { Image, View } = useComponent();
    return (_jsx(_Fragment, { children: type === 1 ? (_jsx(Image, { mode: 'widthFix', src: item.imgUrl, style: {
                width: '100%'
            } })) : (_jsx(View, { className: getEnv() ? 'slider-block' : 'pc', style: {
                backgroundImage: `url(${item.imgUrl})`,
                width: '100%'
            } })) }));
});
