import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
const VideoJsx = ({ url, poster, autoplay, loop, paddingTop, paddingBottom, paddingLeft, paddingRight }) => {
    const { View } = useComponent();
    return (_jsx(View, Object.assign({ style: { paddingTop, paddingBottom } }, { children: _jsx("video", { className: 'components-video', src: 'https://www.runoob.com/try/demo_source/movie.ogg', poster: poster, autoPlay: autoplay, loop: loop, controls: true, "object-fit": "contain", style: {
                width: '100%',
                height: '240px',
                paddingLeft,
                paddingRight
            } }) })));
};
export const Video = memo(VideoJsx);
